pcl::SHOT1344 Struct Reference
Module common

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

| SHOT1344 ()=default

## Static Public Member Functions

static constexpr int | descriptorSize ()

## Public Attributes

float | descriptor [1344] = {0.f}
float | rf [9] = {0.f}

## Friends

std::ostream & | operator<< (std::ostream &os, const SHOT1344 &p)

## Detailed Description

A point structure representing the generic Signature of Histograms of OrienTations (SHOT) - shape+color.

Definition at line 1498 of file point_types.hpp.

## Constructor & Destructor Documentation

## SHOT1344()

pcl::SHOT1344::SHOT1344 | ( |  | ) |

inline default

## Member Function Documentation

## descriptorSize()

static constexpr int pcl::SHOT1344::descriptorSize | ( |  | ) |

inline static constexpr

Definition at line 1502 of file point_types.hpp.

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const SHOT1344 & | p
| ) |  |

friend

## Member Data Documentation

## descriptor

float pcl::SHOT1344::descriptor[1344] = {0.f}

Definition at line 1500 of file point_types.hpp.

Referenced by pcl::DefaultPointRepresentation< SHOT1344 >::copyToFloatArray().

## rf

float pcl::SHOT1344::rf[9] = {0.f}

Definition at line 1501 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp